# PetscObjectSetUp

Sets up the internal data structures for the later use.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscObjectSetUp(PetscObject obj)

Collective on PetscObject

### Input Parameters

obj -the PetscObject

### Notes

This does nothing at present.

### Keywords

setup

### See Also

PetscObjectDestroy()

Level:advanced
Location: src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages